<?php
namespace App\Helpers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Models\Bidders;

class BidderSelectList
{
    public static function bidderShowNumbers()
    {
        $bidder_num_results = Bidders::orderBy('bidder_assigned_number')
                                   ->get();
        $bidder_num = '<option disabled selected hidden value="">choose...</option>';
        foreach ($bidder_num_results as $bidder_num_result) {
            $bidder_num .= '<option value="' .
            $bidder_num_result->idbidders .
            '">' .
            $bidder_num_result->bidder_assigned_number .
            ' - ' .
            $bidder_num_result->bidder_fname .
            ' ' .
            $bidder_num_result->bidder_lname .
            '</option>';
        }
        return $bidder_num;
    }
}
